# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rails db:seed command (or created alongside the database with db:setup).
#
# Examples:
#
#   movies = Movie.create([{ name: 'Star Wars' }, { name: 'Lord of the Rings' }])
#   Character.create(name: 'Luke', movie: movies.first)


# emails = %w[hemant@gmail.com ashish@gmail.com imran@gmail.com yogesh@gmail.com amol@gmail.com ravi@gmail.com]

# emails.each do |email|
# 	User.create(
# 		email: email,
# 		password: 'password'
# 	)
# end


# countries = ["Afghanistan","Albania","Algeria","Andorra","Angola","Antigua and Barbuda","Argentina","Armenia","Australia","Austria","Azerbaijan","The Bahamas","Bahrain","Bangladesh","Barbados","Belarus","Belgium","Belize","Benin","Bhutan","Bolivia","Bosnia and Herzegovina","Botswana","Brazil","Brunei","Bulgaria","Burkina Faso","Burundi","Cabo Verde","Cambodia","Cameroon","Canada","Central African Republic","Chad","Chile","China","Colombia","Comoros","Congo, Democratic Republic of the","Congo, Republic of the","Costa Rica","Côte d’Ivoire","Croatia","Cuba","Cyprus","Czech Republic","Denmark","Djibouti","Dominica","Dominican Republic","East Timor (Timor-Leste)","Ecuador","Egypt","El Salvador","Equatorial Guinea","Eritrea","Estonia","Eswatini","Ethiopia","Fiji","Finland","France","Gabon","The Gambia","Georgia","Germany","Ghana","Greece","Grenada","Guatemala","Guinea","Guinea-Bissau","Guyana","Haiti","Honduras","Hungary","Iceland","India","Indonesia","Iran","Iraq","Ireland","Israel","Italy","Jamaica","Japan","Jordan","Kazakhstan","Kenya","Kiribati","Korea, North","Korea, South","Kosovo","Kuwait","Kyrgyzstan","Laos","Latvia","Lebanon","Lesotho","Liberia","Libya","Liechtenstein","Lithuania","Luxembourg","Madagascar","Malawi","Malaysia","Maldives","Mali","Malta","Marshall Islands","Mauritania","Mauritius","Mexico","Micronesia, Federated States of","Moldova","Monaco","Mongolia","Montenegro","Morocco","Mozambique","Myanmar (Burma)","Namibia","Nauru","Nepal","Netherlands","New Zealand","Nicaragua","Niger","Nigeria","North Macedonia","Norway","Oman","Pakistan","Palau","Panama","Papua New Guinea","Paraguay","Peru","Philippines","Poland","Portugal","Qatar","Romania","Russia","Rwanda","Saint Kitts and Nevis","Saint Lucia","Saint Vincent and the Grenadines","Samoa","San Marino","Sao Tome and Principe","Saudi Arabia","Senegal","Serbia","Seychelles","Sierra Leone","Singapore","Slovakia","Slovenia","Solomon Islands","Somalia","South Africa","Spain","Sri Lanka","Sudan","Sudan, South","Suriname","Sweden","Switzerland","Syria","Taiwan","Tajikistan","Tanzania","Thailand","Togo","Tonga","Trinidad and Tobago","Tunisia","Turkey","Turkmenistan","Tuvalu","Uganda","Ukraine","United Arab Emirates","United Kingdom","United States","Uruguay","Uzbekistan","Vanuatu","Vatican City","Venezuela","Vietnam","Yemen","Zambia","Zimbabwe"]

# countries.each do |country|
# 	Country.create(name: country)
# end

specialities = [{"name"=>"ALLERGY AND IMMUNOLOGY", "domains"=>["allergist.email"], "roles"=>["doctor","student"]}, {"name"=>"ANESTHESIOLOGY", "domains"=>["anesthesiology.email", "anesthesiologist.email"], "roles"=>["doctor","student"]}, {"name"=>"CHIROPRACTOR", "domains"=>["chiro.email"], "roles"=>["doctor", "hcp", "student"]}, {"name"=>"CARDIOLOGY", "domains"=>["cardiology.care", "cardiologist.email"], "roles"=>["doctor","student"]}, {"name"=>"DENTAL", "domains"=>["dentist.email", "dentist.clinic", "dentist.dental", "dentalcare.email", "dentalclinic.email"], "roles"=>["doctor", "hcp", "student"]}, {"name"=>"DERMATOLOGY", "domains"=>["dermatologist.md", "dermatology.email", "dermatologist.email"], "roles"=>["doctor","student"]}, {"name"=>"DOCTOR", "domains"=>["doctor.care", "doctors.care", "md.care", "email.doctor", "doctor.email", "doctors.email", "doctor.family", "doctor.clinic", "doctors.clinic", "physician.clinic", "medical.healthcare", "doctors.healthcare", "doctors.hospital", "medical.help", "doctors.contact", "doctors.center", "drs.email", "healthcare.best", "mail.doctor", "doctors.click", "medicalcare.email", "clinical.healthcare", "primarycare.today", "familydoctor.email", "familyphysician.email", "familydoctors.email", "familymedicine.email"], "roles"=>["doctor","student"]}, {"name"=>"ENDOCRINOLOGY", "domains"=>["endocrinologist.doctor", "endocrinology.email"], "roles"=>["doctor","student"]}, {"name"=>"OTOLARYNGOLOGY", "domains"=>["ent.email"], "roles"=>["doctor","student"]}, {"name"=>"GERIATRICS", "domains"=>["geriatrician.email"], "roles"=>["doctor","student"]}, {"name"=>"GASTROENTEROLOGY", "domains"=>["gastroenterology.md", "gastroenterology.email", "gastroenterologist.email", "geriatrician.email"], "roles"=>["doctor","student"]}, {"name"=>"HOSPITAL", "domains"=>["med.hospital", "medical.hospital", "hospitals.email"], "roles"=>["doctor","student"]}, {"name"=>"NEPHROLOGY", "domains"=>["nephrology.md", "nephrologist.doctor", "nephrology.email"], "roles"=>["doctor","student"]}, {"name"=>"NEUROLOGY", "domains"=>["neurologist.md", "neurology.email", "neurologist.email", "neurosurgeon.email"], "roles"=>["doctor","student"]}, {"name"=>"ONCOLOGY", "domains"=>["oncologist.md", "oncology.center", "oncologist.email"], "roles"=>["doctor","student"]}, {"name"=>"PEDIATRICS", "domains"=>["pediatric.md", "pediatric.email", "pediatrics.email", "pediatrician.email", "pediatricians.email", "paediatrician.email", "paediatric.email"], "roles"=>["doctor","student"]}, {"name"=>"OPHTHALMOLOGY", "domains"=>["ophthalmology.care", "ophthalmology.center", "ophthalmology.email", "ophthalmologist.email", "opthalmologist.email"], "roles"=>["doctor","student"]}, {"name"=>"ORTHOPEDICS", "domains"=>["orthopedic.md", "orthopedic.healthcare", "orthopedist.email", "orthopedicsurgeon.email", "orthopaedician.email", "orthopaedics.email"], "roles"=>["doctor","student"]}, {"name"=>"PSYCHOLOGY", "domains"=>["psychology.healthcare", "psychology.email", "psychotherapist.email"], "roles"=>["doctor", "hcp", "student"]}, {"name"=>"PODIATRY", "domains"=>["podiatry.email", "podiatrist.email"], "roles"=>["doctor", "hcp", "student"]}, {"name"=>"PSYCHIATRY", "domains"=>["psychiatry.md", "psychiatric.doctor", "psychiatry.email", "psychiatrist.email"], "roles"=>["doctor","student"]}, {"name"=>"VETERINARY", "domains"=>["veterinary.email"], "roles"=>["doctor","student"]}, {"name"=>"RHEUMATOLOGY", "domains"=>["rheumatologist.doctor", "rheumatology.email"], "roles"=>["doctor","student"]}, {"name"=>"UROLOGY", "domains"=>["urologist.md", "urology.email", "urologist.email"], "roles"=>["doctor","student"]}, {"name"=>"PHYSICALTHERAPIST", "domains"=>[], "roles"=>["doctor", "hcp", "student"]}, {"name"=>"ACUPUNCTURIST", "domains"=>[], "roles"=>["doctor", "hcp", "student"]}, {"name"=>"DIETITIAN", "domains"=>[], "roles"=>["doctor", "hcp", "student"]}, {"name"=>"NUTRITIONIST", "domains"=>[], "roles"=>["doctor", "hcp", "student"]}, {"name"=>"NATUROPATH", "domains"=>[], "roles"=>["doctor", "hcp", "student"]}, {"name"=>"HOMEOPATH", "domains"=>[], "roles"=>["doctor", "hcp", "student"]}, {"name"=>"NURSE", "domains"=>[], "roles"=>["doctor", "hcp", "student"]}]

specialities.each do |speciality|
s = Speciality.create(name: speciality['name'], roles: speciality['roles'])
speciality['domains'].each do |domain|
DomainName.create(name: domain, speciality_id: s.id)
end
end
